Index: Makefile
===================================================================
--- Makefile	(revision 377)
+++ Makefile	(revision 0)
@@ -1,33 +1,70 @@
+################################################################################
+#
+#  qooxdoo - the new era of web development
+#
+#  http://qooxdoo.org
+#
+#  Copyright:
+#    2006-2007 1&1 Internet AG, Germany, http://www.1and1.org
+#
+#  License:
+#    LGPL: http://www.gnu.org/licenses/lgpl.html
+#    EPL: http://www.eclipse.org/org/documents/epl-v10.php
+#    See the LICENSE file in the project's top-level directory for details.
+#
+#  Authors:
+#    * Sebastian Werner (wpbasti)
+#    * Andreas Ecker (ecker)
+#    * Fabian Jakobs (fjakobs)
+#
+################################################################################
+
 ################################################################################
 # SETTINGS
 ################################################################################
 
-GENERATOR = ./generate.py
+#
+# Path to the folder of your qooxdoo distribution.
+# Can either be
+# a) a relative path to the location of this Makefile (preferred) or
+# b) an absolute path starting at the root of your file system
+# Example: If you put the skeleton folder next to the qooxdoo SDK folder,
+# you can use the following relative path:
+# QOOXDOO_PATH = ../../qooxdoo-0.7-sdk
+# Please note that Windows users should always use relative paths.
+# It should end with the last directory. Please omit a trailing slash.
+#
+QOOXDOO_PATH = ../qooxdoo-0.7-sdk
 
-PACK = source/pf.zip
+#
+# Namespace of your application 
+#
+APPLICATION_NAMESPACE = pf
 
-all:
-	$(GENERATOR) source
+#
+# Files that will be copied from the source directory into the build
+# directory (space separated list). The default list is empty.
+#
+APPLICATION_FILES = index.html
 
-pack:
-	$(GENERATOR) pf-build && rm -f $(PACK) && \
-	        zip -q -r -z $(PACK) pf < source/readme.txt
+#-------------------------------------------------------------------------------
+# For a full list and description of available application settings, please 
+# see the APPLICATION variables in file 
+# $(QOOXDOO_PATH)/frontend/framework/tool/make/application.mk
+# Add any of those variables for your custom configuration here:
+#-------------------------------------------------------------------------------
 
-api:
-	$(GENERATOR) api
 
-upload:
-	$(GENERATOR) pf-build && \
-	        rsync -av --rsh=ssh build/ plasma-gate:public_html/pf
 
-upload_pack: pack
-	rsync -av --rsh=ssh $(PACK) plasma-gate:public_html/pf/
 
-migration:
-	$(GENERATOR) migration
+################################################################################
+# INTERNALS (PLEASE DO NOT CHANGE)
+################################################################################
 
-clean:
-	$(GENERATOR) clean && rm -f $(PACK)
+ifneq ($(QOOXDOO_PATH),PLEASE_DEFINE_QOOXDOO_PATH)
+	include $(QOOXDOO_PATH)/frontend/framework/tool/make/targets.mk
+	include $(QOOXDOO_PATH)/frontend/framework/tool/make/application.mk
+endif
 
-distclean:
-	$(GENERATOR) distclean && rm -f $(PACK)
+error:
+	@echo "  * Please configure QOOXDOO_PATH"
Index: source/class/pf/Application.js
===================================================================
--- source/class/pf/Application.js	(revision 379)
+++ source/class/pf/Application.js	(revision 0)
@@ -1,396 +1,17 @@
 /* ************************************************************************
 
-   Copyright: Weizmann Institute of Science
+   Copyright:
 
-   License: GPL
+   License:
 
-   Authors: Evgeny Stambulchik
+   Authors:
 
 ************************************************************************ */
 
-/**
- *
- * @asset(pf/image/*.png)
- * @asset(pf/html/*.html)
- */
+/* ************************************************************************
 
-// global
-var plasma_entities;
+#resource(image:image)
 
-function changeN_e(ev)
-{
-    var e = ev.getTarget();
-    var N_e = e.getNumValue();
-    
-    if (isFinite(N_e) && this.plasma.e.setN(N_e)) {
-        this.updatePlasmaParameters();
-        this.updateGUI();
-    }
-}
-
-function changeT_e(ev)
-{
-    var e = ev.getTarget();
-    var T_e = e.getNumValue();
-    
-    if (isFinite(T_e)) {
-        this.plasma.e.setT(T_e);
-        if (!this.gui_locked) {
-            this.plasma.i.setT(T_e);
-            this.plasma.r.setT(T_e);
-            this.updateGUI();
-        }
-    }
-}
-
-function changeZ_i(ev)
-{
-    var e = ev.getTarget();
-    var Z_i = parseInt(e.getValue());
-    
-    if (isFinite(Z_i)) {
-        this.plasma.i.setQ(Z_i);
-        this.updatePlasmaParameters();
-        this.updateGUI();
-    }
-}
-
-function changeT_i(ev)
-{
-    var e = ev.getTarget();
-    var T_i = e.getNumValue();
-    
-    if (isFinite(T_i)) {
-        this.plasma.i.setT(T_i);
-        if (!this.gui_locked) {
-            this.plasma.r.setT(T_i);
-            this.updateGUI();
-        }
-    }
-}
-
-function changeZ_r(ev)
-{
-    var e = ev.getTarget();
-    var Z_r = parseInt(e.getValue());
-    
-    if (isFinite(Z_r)) {
-        this.plasma.r.setQ(Z_r);
-        this.updatePlasmaParameters();
-        this.updateGUI();
-    }
-}
-
-function changeP_r(ev)
-{
-    var e = ev.getTarget();
-    var P_r = parseFloat(e.getValue())/100.0;
-    
-    if (isFinite(P_r)) {
-        this.plasma.P_r = P_r;
-        this.updatePlasmaParameters();
-        this.updateGUI();
-    }
-}
-
-function changeT_r(ev)
-{
-    var e = ev.getTarget();
-    var T_r = e.getNumValue();
-    
-    if (isFinite(T_r)) {
-        this.plasma.r.setT(T_r);
-        this.updateGUI();
-    }
-}
-
-function changeM_i(ev)
-{
-    var e = ev.getTarget();
-    var M_i = e.getNumValue();
-    
-    if (isFinite(M_i)) {
-        this.plasma.i.setM(M_i);
-        this.updateGUI();
-    }
-}
-
-function changeM_r(ev)
-{
-    var e = ev.getTarget();
-    var M_r = e.getNumValue();
-    
-    if (isFinite(M_r)) {
-        this.plasma.r.setM(M_r);
-        this.updateGUI();
-    }
-}
-
-function changeN_u(ev)
-{
-    var e = ev.getTarget();
-    var n_u = parseInt(e.getValue());
-    
-    this.gui_n_l.setMaximum(n_u - 1);
-    
-    this.plasma.r.setN_u(n_u);
-    this.updateGUI();
-}
-
-function changeN_l(ev)
-{
-    var e = ev.getTarget();
-    var n_l = parseInt(e.getValue());
-    
-    this.gui_n_u.setMinimum(n_l + 1);
-    
-    this.plasma.r.setN_l(n_l);
-    this.updateGUI();
-}
-
-function changeB(ev)
-{
-    var e = ev.getTarget();
-    var v = e.getNumValue();
-    
-    if (isFinite(v)) {
-        this.plasma.B = v;
-        this.updateGUI();
-    }
-}
-
-function viewMenuCB(ev)
-{
-    var explorer_is_seen;
-    
-    if (this.entity_tree.isSeeable()) {
-        explorer_is_seen = true;
-    } else {
-        explorer_is_seen = false;
-    }
-    
-    this.showSectionsButton.setEnabled(explorer_is_seen);
-    this.showSpeciesButton.setEnabled(explorer_is_seen);
-    this.redrawButton.setEnabled(this.canvas.isSeeable());
-
-    if (this.prefs.autoLoadWiki) {
-        this.loadWikiButton.setEnabled(false);
-    } else {
-        var tree = this.entity_tree;
-        var leaf = getSingleTreeSelectedItem(tree);
-        if (leaf && leaf.classname == "qx.ui.tree.TreeFile" && explorer_is_seen) {
-            this.loadWikiButton.setEnabled(true);
-        } else {
-            this.loadWikiButton.setEnabled(false);
-        }
-    }
-}
-
-function editMenuCB(ev)
-{
-    var explorer_is_seen;
-    
-    if (this.entity_tree.isSeeable()) {
-        explorer_is_seen = true;
-    } else {
-        explorer_is_seen = false;
-    }
-
-    var tree = this.entity_tree;
-    var leaf = getSingleTreeSelectedItem(tree);
-
-    if (leaf && leaf.classname == "qx.ui.tree.TreeFile" && explorer_is_seen) {
-        if (this.isFavorite(leaf)) {
-            this.editMenuButtonAddToFav.setEnabled(false);
-            this.editMenuButtonRemFromFav.setEnabled(true);
-        } else {
-            this.editMenuButtonAddToFav.setEnabled(true);
-            this.editMenuButtonRemFromFav.setEnabled(false);
-        }
-    } else {
-        this.editMenuButtonAddToFav.setEnabled(false);
-        this.editMenuButtonRemFromFav.setEnabled(false);
-    }
-}
-
-function getSingleTreeSelectedItem(tree)
-{
-    var sels = tree.getSelection();
-    if (sels && sels.length == 1) {
-        return sels[0];
-    } else {
-        return null;
-    }
-}
-
-function treeMenuCB(ev)
-{
-    if (ev.getButton() == "right") {
-        var menu = this.treeMenu;
-
-        if (menu.isSeeable()) {
-            menu.hide();
-        } else {
-            var w = ev.getTarget();
-            var leaf = null;
-            if (w.classname == "qx.ui.tree.TreeFile") {
-                leaf = w;
-            } else
-            if (w.getLayoutParent().classname == "qx.ui.tree.TreeFile") {
-                leaf = w.getLayoutParent();
-            }
-            
-            if (leaf) {
-                if (this.isFavorite(leaf)) {
-                    this.treeMenuButtonAddToFav.setEnabled(false);
-                    this.treeMenuButtonRemFromFav.setEnabled(true);
-                } else {
-                    this.treeMenuButtonAddToFav.setEnabled(true);
-                    this.treeMenuButtonRemFromFav.setEnabled(false);
-                }
-            } else {
-                this.treeMenuButtonAddToFav.setEnabled(false);
-                this.treeMenuButtonRemFromFav.setEnabled(false);
-            }
-            
-            // position & show the menu
-            menu.placeToPointer(ev);
-            menu.show();
-        };
-
-        // ev.stopPropagation();
-    }
-}
-
-function showFundamentalCB(ev)
-{
-    this.showFundamental = !this.showFundamental;
-    this.rePopulateTree();
-}
-
-function showSpectroscopyCB(ev)
-{
-    this.showSpectroscopy = !this.showSpectroscopy;
-    this.rePopulateTree();
-}
-
-function showWavesCB(ev)
-{
-    this.showWaves = !this.showWaves;
-    this.rePopulateTree();
-}
-
-function showCollisionsCB(ev)
-{
-    this.showCollisions = !this.showCollisions;
-    this.rePopulateTree();
-}
-
-function showRadiationCB(ev)
-{
-    this.showRadiation = !this.showRadiation;
-    this.rePopulateTree();
-}
-
-function showElectronsCB(ev)
-{
-    this.showElectrons = !this.showElectrons;
-    this.rePopulateTree();
-}
-
-function showIonsCB(ev)
-{
-    this.showIons = !this.showIons;
-    this.rePopulateTree();
-}
-
-function showRadiatorsCB(ev)
-{
-    this.showRadiators = !this.showRadiators;
-    this.rePopulateTree();
-}
-
-function addToFavCB(ev)
-{
-    var tree = this.entity_tree;
-    var leaf = getSingleTreeSelectedItem(tree);
-
-    if (!leaf) {
-        return;
-    }
-
-    leaf.setTextColor(this.leafFavColor);
-
-    // Add to the list of favorites
-    var fav = new Object;
-    fav.entity = leaf.getUserData("entity");
-    fav.s1     = leaf.getUserData("s1");
-    fav.s2     = leaf.getUserData("s2");
-    fav.color  = this.nextColor();
-    this.favorites.push(fav);
-    
-    // Switch the dimension selector ...
-    this.gui_compare_dim.selectByValue(fav.entity.dimension);
-    // ... and update the list of favorites
-    this.updateFavoritesListView();
-    this.updateLegendListView();
-    
-    this.saveFavorites();
-}
-
-function removeFromFavCB(ev)
-{
-    var tree = this.entity_tree;
-    var leaf = getSingleTreeSelectedItem(tree);
-
-    if (!leaf) {
-        return;
-    }
-    leaf.setTextColor(this.leafColor);
-
-    var entity = leaf.getUserData("entity");
-    var s1     = leaf.getUserData("s1");
-    var s2     = leaf.getUserData("s2");
-
-    // Remove from the list of favorites
-    for (var k = 0; k < this.favorites.length; k++) {
-        var fav = this.favorites[k];
-        if (fav.entity  == entity && fav.s1 == s1 && fav.s2 == s2) {
-            this.favorites.splice(k, 1);
-            break;
-        }
-    }
-
-    // Switch the dimension selector ...
-    this.gui_compare_dim.selectByValue(entity.dimension);
-    // ... and update the list of favorites
-    this.updateFavoritesListView();
-    this.updateLegendListView();
-    
-    this.saveFavorites();
-}
-
-function clickTreeCB(ev)
-{
-    var tree = ev.getTarget();
-    var e = getSingleTreeSelectedItem(tree);
-    if (e) {
-        var entity = e.getUserData("entity");
-        
-        if (entity) {
-            this.gui_entity_units.update(entity.dimension,
-                this.prefs.units[entity.dimension]);
-        } else {
-            this.gui_entity_units.update(null, null);
-        }
-        
-        this.updateEntityValue();
-    }
-}
-
-function changeUnitsCB(ev)
-{
-    this.updateEntityValue();
-}
+************************************************************************ */
 
 /**
